package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.annotation.Log;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

/**
 * @ClassName : MaterialReport
 * @Description : 报表数据实体类
 * @Author : [您的名字]
 * @Date: 2024-11-25 11:30
 */
public class MaterialReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @Excel(name = "产线名称")
    @JsonProperty("PRODUCT_LINE_NAME")
    private String PRODUCT_LINE_NAME;

    @Excel(name = "物料编号")
    @JsonProperty("MATERIAL_CODE")
    private String MATERIAL_CODE;

    @Excel(name = "物料名称")
    @JsonProperty("MATERIAL_NAME")
    private String MATERIAL_NAME;

    @Excel(name = "MES/SN绑定数量")
    @JsonProperty("MES_SN_BINDING_COUNT")
    private Integer MES_SN_BINDING_COUNT;

    @Excel(name = "成品下线扫描数量")
    @JsonProperty("FINISHED_PRODUCT_SCAN_COUNT")
    private Integer FINISHED_PRODUCT_SCAN_COUNT;

    @Excel(name = "成品库分垛数量")
    @JsonProperty("FINISHED_PRODUCT_PILING_COUNT")
    private Integer FINISHED_PRODUCT_PILING_COUNT;
    @Excel(name = "过点时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonProperty("RECORD_TIME1")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String RECORD_TIME1;
    public String getPRODUCT_LINE_NAME() {
        return PRODUCT_LINE_NAME;
    }

    public void setPRODUCT_LINE_NAME(String PRODUCT_LINE_NAME) {
        this.PRODUCT_LINE_NAME = PRODUCT_LINE_NAME;
    }

    public String getMATERIAL_CODE() {
        return MATERIAL_CODE;
    }

    public void setMATERIAL_CODE(String MATERIAL_CODE) {
        this.MATERIAL_CODE = MATERIAL_CODE;
    }

    public String getMATERIAL_NAME() {
        return MATERIAL_NAME;
    }

    public void setMATERIAL_NAME(String MATERIAL_NAME) {
        this.MATERIAL_NAME = MATERIAL_NAME;
    }

    public Integer getMES_SN_BINDING_COUNT() {
        return MES_SN_BINDING_COUNT;
    }

    public void setMES_SN_BINDING_COUNT(Integer MES_SN_BINDING_COUNT) {
        this.MES_SN_BINDING_COUNT = MES_SN_BINDING_COUNT;
    }

    public Integer getFINISHED_PRODUCT_SCAN_COUNT() {
        return FINISHED_PRODUCT_SCAN_COUNT;
    }

    public void setFINISHED_PRODUCT_SCAN_COUNT(Integer FINISHED_PRODUCT_SCAN_COUNT) {
        this.FINISHED_PRODUCT_SCAN_COUNT = FINISHED_PRODUCT_SCAN_COUNT;
    }

    public Integer getFINISHED_PRODUCT_PALLETIZING_COUNT() {
        return FINISHED_PRODUCT_PILING_COUNT;
    }

    public void setFINISHED_PRODUCT_PALLETIZING_COUNT(Integer FINISHED_PRODUCT_PALLETIZING_COUNT) {
        this.FINISHED_PRODUCT_PILING_COUNT = FINISHED_PRODUCT_PALLETIZING_COUNT;
    }

    @Override
    public String toString() {
        return "MaterialReport{" +
                "PRODUCT_LINE_NAME='" + PRODUCT_LINE_NAME + '\'' +
                ", MATERIAL_CODE='" + MATERIAL_CODE + '\'' +
                ", MATERIAL_NAME='" + MATERIAL_NAME + '\'' +
                ", MES_SN_BINDING_COUNT=" + MES_SN_BINDING_COUNT +
                ", FINISHED_PRODUCT_SCAN_COUNT=" + FINISHED_PRODUCT_SCAN_COUNT +
                ", FINISHED_PRODUCT_PALLETIZING_COUNT=" + FINISHED_PRODUCT_PILING_COUNT +
                '}';
    }
}